package org.mb.components;

import java.util.Hashtable;

import javax.microedition.lcdui.Alert;
import javax.microedition.lcdui.Display;
import javax.microedition.midlet.MIDlet;

import org.mb.components.interfaces.MBComponentContainer;
import org.mb.micromvc.model.AbstractModel;

public class MBAlert extends Alert implements MBComponentContainer {

	private Hashtable components;

	private AbstractModel object;

	public MBAlert(String title) {
		super(title);
		components = new Hashtable();
	}

	public Object getComponent(String name) {
		// for Alert do nothing
		throw new UnsupportedOperationException("Alert screen can't hold any component");
	}

	public void removeComponent(String name) {
		// for Alert do nothing
		throw new UnsupportedOperationException("Alert screen can't hold any component");
	}

	public void addComponent(Object component, String name) {
		// for Alert do nothing
		throw new UnsupportedOperationException("Alert screen can't hold any component");
	}

	public AbstractModel getObject() {
		return object;
	}

	public void setObject(AbstractModel object) {
		this.object = object;
	}

	public static void show(MIDlet midp, String title){
		Display.getDisplay(midp).setCurrent(new MBAlert(title));
	}

}
